Remove an SSH key from your account

Remove SSH keys previously added for managing your services. This is useful if you no longer need SSH access or if a key has been compromised.

Account & Settings SSH Keys

Context

Used in the dashboard

/cart/vps/[slug] /cart/en/vps/[slug] /ssh-keys

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.message string required · Example: SSH key deleted successfully

Human-readable message.

data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

404
code string required · Example: NOT_FOUND

Machine-readable error code.

error string required · Example: Not Found

HTTP status title (e.g. 'Bad Request').

message string required · Example: SSH key not found not found

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

DELETE https://cloud.hostup.se/api/ssh-keys
For AI assistants
cURL
curl -X DELETE "https://cloud.hostup.se/api/ssh-keys" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "message": "SSH key deleted successfully"
  }
}